Bug 811386 - SELinux is preventing /usr/bin/chcon from 'read' accesses on the None sessions.
SELinux is preventing /usr/bin/chcon from 'read' accesses on the None sessions.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c576337828cdedb255096098fb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 17:19 EDT by Diego
Modified: 2012-04-11 03:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 03:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego 2012-04-10 17:19:11 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
reason:         SELinux is preventing /usr/bin/chcon from 'read' accesses on the None sessions.
time:           Tue 10 Apr 2012 11:02:26 PM CEST

description:
:SELinux is preventing /usr/bin/chcon from 'read' accesses on the None sessions.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that chcon should be allowed read access on the sessions <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep chcon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                sessions [ None ]
:Source                        chcon
:Source Path                   /usr/bin/chcon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           coreutils-8.15-6.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.0-0.rc3.git7.2.fc17.x86_64 #1 SMP Fri Feb 17
:                              18:55:53 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue 10 Apr 2012 10:51:02 PM CEST
:Last Seen                     Tue 10 Apr 2012 10:51:02 PM CEST
:Local ID                      9e441de6-805d-4612-b271-666494a8a638
:
:Raw Audit Messages
:type=AVC msg=audit(1334091062.818:15): avc:  denied  { read } for  pid=477 comm="NetworkManager" name="sessions" dev="tmpfs" ino=11504 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:systemd_logind_sessions_t:s0 tclass=dirnode=(removed) type=AVC msg=audit(1334091266.125:67): avc:  denied  { mac_admin } for  pid=1781 comm="chcon" capability=33  scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=capability2node=(removed) type=SYSCALL msg=audit(1334091266.125:67): arch=c000003e syscall=188 success=no exit=-22 a0=23bd0e0 a1=7f6d9b32d50b a2=23be660 a3=33 items=0 ppid=1753 pid=1781 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=2 comm="chcon" exe="/usr/bin/chcon" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
:
:
:Hash: chcon,unconfined_t,unconfined_t,None,read
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Miroslav Grepl 2012-04-11 03:31:23 EDT
:Raw Audit Messages
:type=AVC msg=audit(1334091062.818:15): avc:  denied  { read } for  pid=477
comm="NetworkManager" name="sessions" dev="tmpfs" ino=11504
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=system_u:object_r:systemd_logind_sessions_t:s0
tclass=dirnode=(removed) type=AVC msg=audit(1334091266.125:67): avc:  denied 

if fixed in the latest policy. Please update your system.


avc:  denied  { mac_admin } for  pid=1781 comm="chcon" capability=33 

It means you were trying to set that the kernel/policy does not know about.

Note You need to log in before you can comment on or make changes to this bug.